import QtQuick 1.0
import com.meego 1.0

import "." as MyComponents


PageStackWindow {
    id: appWindow

    
    
    
    initialPage: mainPage
    MainPage{id: mainPage}
    
    

    function loadParametersFromPythonLucidDreamMusic(a1, a2, a3, a4){
	mainPage.loadParametersFromPythonLucidDreamMusic(a1, a2, a3, a4)
    }  
    function loadParametersFromPythonAlarm(a1, a2, a3, a4){
	mainPage.loadParametersFromPythonAlarm(a1, a2, a3, a4)
    }  
    function loadParametersFromPythonWakeUpMusic(a1, a2, a3){
	mainPage.loadParametersFromPythonWakeUpMusic(a1, a2, a3)
    }
    function updateScreen(){
	mainPage.updateScreen()
    }

    
    
    
    //It seems that Python only can call functions in the main.qml file.
    //So we forward those function calls just to other functions in the MainPage.qml file
    function updateGraphWidth(width, height) {
	pageRecording.updateGraphWidth2(width, height)
    }
    
    function tellQMLToRedrawGraph() {
        console.log("tellQMLToRedrawGraph")
        pageRecording.tellQMLToRedrawGraph()
    }

   
   
//    function startRecording(){
//       pageRecording.startRecording()
//    }
// 
// 
//    function graphGotChanged(){
//       pageRecording.graphGotChanged = 2
//    }

  
 
    



    QueryDialog {
        id: about
        icon: "../images/SleepAnalyser128.png"
        titleText: "About SleepAnalyser"
        message: "Copyright 2011 by George Ruinelli\n"+
                 "Contact: george@ruinelli.ch"+
                 "Website: http://www.ruinelli.ch/sleepanalyser2"
    }

    

    QueryDialog {
        id: help
        icon: "../images/SleepAnalyser128.png"
        titleText: "SleepAnalyser Help"
        message: "Have a look at http://www.ruinelli.ch/sleepanalyser2"
    }




//*******************************************************
    
    MyComponents.RecordingPage {
        id: pageRecording
    }
    
    
}
